Subject: Re: bug#64650: mode-line-compact remaps multiple lighters into a single lighter

From: uzibalqa <[email-masked]>
Date: Sat, 15 Jul 2023 15:58:07 +0000

------- Original Message -------
On Sunday, July 16th, 2023 at 3:25 AM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Sat, 15 Jul 2023 15:18:29 +0000
> > From: uzibalqa [email-masked]
> > Cc: [email-masked]
> > 
> > On Sunday, July 16th, 2023 at 3:05 AM, Eli Zaretskii [email-masked] wrote:
> > 
> > > > I cannot click on them.
> > > 
> > > That's a known limitation of mode-line-compact, see bug#59505.
> > 
> > It is not a limitation. It just makes the lighters inoperable.
> 
> 
> They are not inoperable: you can click mouse-3 on them, and you will
> see a menu where you enable or disable individual minor modes.
> 
> > Although it looks like compactness does something, what it does
> > is only cosmetic. It is like an american bimbo that's got nothing
> > in it.
> 
> 
> You don't have to use this feature if you don't like it. We
> implemented it at a specific request of someone who does want to use
> it.

It would have value if compact keeps the mode line in its original condition
but without the multiple spaces.  Otherwise we can have the modeline itself
have only single spaces between entities.  That change would be suitable
for everybody.  The idea of the mode line is that its provisions are available
for use.